{
	"model": {
		"type": "select",
		"property": "context_dimension",
		"cases": [
			{
				"when": "overworld",
				"model": {
					"type": "range_dispatch",
					"property": "time",
					"source": "daytime",
					"wobble": false,
					"scale": 64,
					"entries": [
						{
							"threshold": 0,
							"model": {
								"type": "model",
								"model": "item/wandering_trader_spawn_egg"
							}
						},
						{
							"threshold": 15,
							"model": {
								"type": "model",
								"model": "item/spawn_egg/wandering_trader_spawn_egg_potion"
							}
						},
						{
							"threshold": 15.5,
							"model": {
								"type": "model",
								"model": "item/spawn_egg/wandering_trader_spawn_egg_drinking"
							}
						},
						{
							"threshold": 15.6,
							"model": {
								"type": "model",
								"model": "item/spawn_egg/wandering_trader_spawn_egg_invisibility"
							}
						},
						{
							"threshold": 32.5,
							"model": {
								"type": "model",
								"model": "item/wandering_trader_spawn_egg"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "item/wandering_trader_spawn_egg"
					}
				}
			}
		],
		"fallback": {
			"type": "model",
			"model": "item/wandering_trader_spawn_egg"
		}
	},
	"hand_animation_on_swap": false
}